package com.mathworks;

//This class represents a single row in the patients.csv file that is present in the example directory
//The member names are specific to what is mentioned in the csv
public class PatientData {
    double age;
    double diastolic;
    String gender;
    double height;
    String selfAssessedHealthStatus;
    double systolic;
    double weight;

    public PatientData(double age, double diastolic, String gender, double height, String selfAssessedHealthStatus, double systolic, double weight) {
        this.age = age;
        this.diastolic = diastolic;
        this.gender = gender;
        this.height = height;
        this.selfAssessedHealthStatus = selfAssessedHealthStatus;
        this.systolic = systolic;
        this.weight = weight;
    }

    public double getAge() {
        return age;
    }

    public void setAge(double age) {
        this.age = age;
    }

    public double getDiastolic() {
        return diastolic;
    }

    public void setDiastolic(double diastolic) {
        this.diastolic = diastolic;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public double getHeight() {
        return height;
    }

    public void setHeight(double height) {
        this.height = height;
    }

    public String getSelfAssessedHealthStatus() {
        return selfAssessedHealthStatus;
    }

    public void setSelfAssessedHealthStatus(String selfAssessedHealthStatus) {
        this.selfAssessedHealthStatus = selfAssessedHealthStatus;
    }

    public double getSystolic() {
        return systolic;
    }

    public void setSystolic(double systolic) {
        this.systolic = systolic;
    }

    public double getWeight() {
        return weight;
    }

    public void setWeight(double weight) {
        this.weight = weight;
    }

    @Override
    public String toString() {
        return "PatientData{" +
                "age=" + age +
                ", diastolic=" + diastolic +
                ", gender='" + gender + '\'' +
                ", height=" + height +
                ", selfAssessedHealthStatus='" + selfAssessedHealthStatus + '\'' +
                ", systolic=" + systolic +
                ", weight=" + weight +
                '}';
    }
}
